/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Juha Ristolainen <juha.ristolainen@codemancers.fi>
 *              Nick Leppänen Larsson <frals@frals.se>
 */

import QtQuick 2.0
import QtGraphicalEffects 1.0

RectangularGlow {
    id: glowEffect

    property QtObject fillRectangle: null

    anchors.fill: fillRectangle
    glowRadius: 10
    spread: 0.8
    color: "orange"
    cornerRadius: fillRectangle.radius
    z: fillRectangle - 1
}
